Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IExecutionContext.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IExecutionContext.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IExecutionContext.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Common;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Core {
@@ -26,4 +27,5 @@
   /// Interface which represents an execution context.
   /// </summary>
+  [StorableType("45a272d1-312f-44a1-ac5a-6fb149c1f759")]
   public interface IExecutionContext : IDeepCloneable {
     IExecutionContext Parent { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IFixedValueParameter.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IFixedValueParameter.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IFixedValueParameter.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Core {
+  [StorableType("159d53f6-7a3c-4d0a-aa80-9b4bc834987c")]
   public interface IFixedValueParameter : IValueParameter {
     new IItem Value { get; }
@@ -26,4 +28,5 @@
   }
 
+  [StorableType("45cd49d2-9efc-42e6-8e38-95a2ce303edb")]
   public interface IFixedValueParameter<T> : IFixedValueParameter, IValueParameter<T> where T : class, IItem {
     new T Value { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemArray.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemArray.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemArray.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Collections;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Core {
+  [StorableType("e965adf9-0995-478c-ba0d-4a1ce4f76e8f")]
   public interface IItemArray<T> : IObservableArray<T>, IItem where T : class, IItem { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemCollection.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemCollection.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemCollection.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Collections;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Core {
+  [StorableType("d96bd1ee-5d3b-446d-9ab7-584f60c1640d")]
   public interface IItemCollection<T> : IObservableCollection<T>, IItem where T : class, IItem { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemDictionary.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemDictionary.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemDictionary.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Collections;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Core {
+  [StorableType("91c09102-8a26-462f-992a-186468b486ec")]
   public interface IItemDictionary<TKey, TValue> : IObservableDictionary<TKey, TValue>, IItem
     where TKey : class, IItem
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemList.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemList.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemList.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Collections;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Core {
+  [StorableType("18656cac-f7bd-4db8-be86-8dfb0575b12d")]
   public interface IItemList<T> : IObservableList<T>, IItemCollection<T>, IItem where T : class, IItem { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemSet.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemSet.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IItemSet.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Collections;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Core {
+  [StorableType("13bf729c-c054-49b0-9978-3b41ad903d08")]
   public interface IItemSet<T> : IObservableSet<T>, IItemCollection<T>, IItem where T : class, IItem { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IKeyedItemCollection.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IKeyedItemCollection.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IKeyedItemCollection.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Collections;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Core {
+  [StorableType("d7058cb9-4702-4783-8d9b-05111e33f671")]
   public interface IKeyedItemCollection<TKey, TItem> : IObservableKeyedCollection<TKey, TItem>, IItemCollection<TItem>, IItem where TItem : class, IItem { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ILog.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ILog.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ILog.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Common;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Core {
+  [StorableType("563ef474-fb16-453c-8b31-3b62073bc296")]
   public interface ILog : IItem {
     IEnumerable<string> Messages { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ILookupParameter.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ILookupParameter.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/ILookupParameter.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using System;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Core {
+  [StorableType("ec8395c5-8dcd-49ae-a9c8-74128415496b")]
   public interface ILookupParameter : IParameter {
     string ActualName { get; set; }
@@ -30,4 +32,5 @@
   }
 
+  [StorableType("52910af7-0773-407a-93a0-6fc2164cc569")]
   public interface ILookupParameter<T> : ILookupParameter where T : class, IItem {
     new T ActualValue { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IMultiOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IMultiOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IMultiOperator.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -22,4 +23,5 @@
 
 namespace HeuristicLab.Core {
+  [StorableType("e285b907-7b34-44a5-8b8a-e93649401921")]
   public interface IMultiOperator<T> : IOperator where T : class, IOperator {
     IItemList<T> Operators { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IOperation.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IOperation.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IOperation.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Common;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Core {
@@ -26,4 +27,5 @@
   /// Interface which represents an operation.
   /// </summary>
+  [StorableType("3192e8f2-8cb5-412f-a1bc-bd686404b9c0")]
   public interface IOperation : IDeepCloneable { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IOperatorGraphOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IOperatorGraphOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IOperatorGraphOperator.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 
 /* HeuristicLab
@@ -23,4 +24,5 @@
 
 namespace HeuristicLab.Core {
+  [StorableType("9dfc2860-631a-4b1f-aad4-17049643821d")]
   public interface IOperatorGraphOperator : IOperator {
     OperatorGraph OperatorGraph { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IParameter.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IParameter.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IParameter.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using System;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Core {
+  [StorableType("2924627c-9292-45bc-bce5-fd37399ac5a9")]
   public interface IParameter : INamedItem {
     Type DataType { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IProgrammableItem.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IProgrammableItem.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IProgrammableItem.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Core {
+  [StorableType("d8d0c438-d8f3-4286-9c28-06bbb229b511")]
   public interface IProgrammableItem { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IRandom.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IRandom.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IRandom.cs	(revision 14929)
@@ -1,2 +1,3 @@
+using HeuristicLab.Persistence;
 #region License Information
 /* HeuristicLab
@@ -24,4 +25,5 @@
   /// Represents an interface for random number generators.
   /// </summary>
+  [StorableType("494faf35-0bdd-4565-a4c4-c86c0db09423")]
   public interface IRandom : IItem {
     /// <summary>
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IScope.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IScope.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IScope.cs	(revision 14929)
@@ -1,2 +1,3 @@
+using HeuristicLab.Persistence;
 #region License Information
 /* HeuristicLab
@@ -24,4 +25,5 @@
   /// Hierarchical container of variables (and of subscopes).
   /// </summary>
+  [StorableType("3e077b2f-21e1-4d3c-b14a-d2940835ac63")]
   public interface IScope : INamedItem {
     IScope Parent { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IScopeTreeLookupParameter.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IScopeTreeLookupParameter.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IScopeTreeLookupParameter.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using System;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Core {
+  [StorableType("4edbfb7e-492b-4d0a-ba51-3303ff9cada2")]
   public interface IScopeTreeLookupParameter : ILookupParameter {
     int Depth { get; set; }
@@ -28,4 +30,5 @@
   }
 
+  [StorableType("996dfcff-2f6d-4c04-97a2-e5d46f825bc4")]
   public interface IScopeTreeLookupParameter<T> : IScopeTreeLookupParameter, ILookupParameter<ItemArray<T>> where T : class, IItem { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IStatefulItem.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IStatefulItem.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IStatefulItem.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Core {
+  [StorableType("5b6b8dfa-a99b-4482-92b4-e416d3558397")]
   public interface IStatefulItem : IItem {
     void InitializeState();
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IValueLookupParameter.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IValueLookupParameter.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IValueLookupParameter.cs	(revision 14929)
@@ -1,2 +1,3 @@
+using HeuristicLab.Persistence;
 #region License Information
 /* HeuristicLab
@@ -21,6 +22,8 @@
 
 namespace HeuristicLab.Core {
+  [StorableType("d89e7368-1633-44d7-8f80-010b462f6ac8")]
   public interface IValueLookupParameter : IValueParameter, ILookupParameter { }
 
+  [StorableType("d59ec862-0f86-4d9b-802f-d3548bd51ac1")]
   public interface IValueLookupParameter<T> : IValueLookupParameter, IValueParameter<T>, ILookupParameter<T> where T : class, IItem { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IValueParameter.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IValueParameter.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IValueParameter.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using System;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Core {
+  [StorableType("86ae090c-45bc-4903-ae3f-5602a5df86d2")]
   public interface IValueParameter : IParameter {
     IItem Value { get; set; }
@@ -30,4 +32,5 @@
   }
 
+  [StorableType("e4f4fc38-d362-4c3f-9344-ec637d502b39")]
   public interface IValueParameter<T> : IValueParameter where T : class, IItem {
     new T Value { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IVariable.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IVariable.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Core/3.3/Interfaces/IVariable.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using System;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Core {
@@ -26,4 +27,5 @@
   /// Represents a variable which has a name and holds an IItem.
   /// </summary>
+  [StorableType("a863d1d5-8e66-4feb-bc76-d08939f8d008")]
   public interface IVariable : INamedItem {
     IItem Value { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Data/3.3/ComparisonType.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Data/3.3/ComparisonType.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Data/3.3/ComparisonType.cs	(revision 14929)
@@ -1,2 +1,3 @@
+using HeuristicLab.Persistence;
 #region License Information
 /* HeuristicLab
@@ -21,4 +22,5 @@
 
 namespace HeuristicLab.Data {
+  [StorableType("bd467031-f463-4b98-a534-a201b33d0e56")]
   public enum ComparisonType {
     Less,
Index: /branches/PersistenceReintegration/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleArray.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleArray.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleArray.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Common;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Data {
+  [StorableType("d9eaccc2-7e48-48a6-b819-d6c50acf6533")]
   public interface IStringConvertibleArray : IContent, IValueTypeArray {
     bool Validate(string value, out string errorMessage);
Index: /branches/PersistenceReintegration/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleMatrix.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleMatrix.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleMatrix.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Common;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Data {
+  [StorableType("781c8935-07b7-4a65-bbd9-6198d529f5a1")]
   public interface IStringConvertibleMatrix : IContent {
     int Rows { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleValue.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleValue.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleValue.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using System;
 using HeuristicLab.Common;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Data {
+  [StorableType("dd7d252d-ae53-4805-bcc3-7f95e8197fb0")]
   public interface IStringConvertibleValue : IContent {
     bool ReadOnly { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleValueTuple.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleValueTuple.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleValueTuple.cs	(revision 14929)
@@ -20,5 +20,8 @@
 #endregion
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
+
 namespace HeuristicLab.Data {
+  [StorableType("c3cd8a3b-9968-4d6e-931a-30955d319d42")]
   public interface IStringConvertibleValueTuple : IItem {
     IStringConvertibleValue Item1 { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Data/3.3/Interfaces/IValueTypeArray.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Data/3.3/Interfaces/IValueTypeArray.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Data/3.3/Interfaces/IValueTypeArray.cs	(revision 14929)
@@ -27,6 +27,8 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Data {
+  [StorableType("7bcabd08-a781-4623-b60f-a56b2471b108")]
   public interface IValueTypeArray : IItem, IEnumerable {
     bool ReadOnly { get; }
@@ -44,4 +46,5 @@
   }
 
+  [StorableType("25976fe2-abe7-4ebf-ab30-8720eaa8d642")]
   public interface IValueTypeArray<T> : IValueTypeArray, IEnumerable<T> where T : struct {
     T this[int index] { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorCreator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorCreator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorCreator.cs	(revision 14929)
@@ -23,4 +23,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
@@ -28,4 +29,5 @@
   /// An interface which represents an operator for creating vectors of bool-valued data.
   /// </summary>
+  [StorableType("5a23dbce-3c66-47fb-a032-b67f4756d3db")]
   public interface IBinaryVectorCreator : IBinaryVectorOperator, ISolutionCreator {
     IValueLookupParameter<IntValue> LengthParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorCrossover.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorCrossover.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorCrossover.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
@@ -27,4 +28,5 @@
   /// An interface which represents an operator for crossing vectors of bool-valued data.
   /// </summary>
+  [StorableType("85894518-4445-438f-b99b-8c610772e90c")]
   public interface IBinaryVectorCrossover : IBinaryVectorOperator, ICrossover {
     ILookupParameter<ItemArray<BinaryVector>> ParentsParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorManipulator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorManipulator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorManipulator.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
@@ -27,4 +28,5 @@
   /// An interface which represents an operator for manipulating vectors of bool-valued data.
   /// </summary>
+  [StorableType("7019d6f2-5c21-4961-a936-3f0c06077348")]
   public interface IBinaryVectorManipulator : IBinaryVectorOperator, IManipulator {
     ILookupParameter<BinaryVector> BinaryVectorParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorMoveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorMoveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorMoveOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
+  [StorableType("f666de83-43a5-44cf-b950-e685b26121e4")]
   public interface IBinaryVectorMoveOperator : IBinaryVectorOperator, IMoveOperator {
     ILookupParameter<BinaryVector> BinaryVectorParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorMultiNeighborhoodShakingOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorMultiNeighborhoodShakingOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorMultiNeighborhoodShakingOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
+  [StorableType("a872cd9f-ef6c-40f6-bbd5-d045fb428c4f")]
   public interface IBinaryVectorMultiNeighborhoodShakingOperator : IBinaryVectorOperator {
     ILookupParameter<BinaryVector> BinaryVectorParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IBinaryVectorOperator.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
@@ -26,4 +27,5 @@
   /// An interface which represents an operator dealing with vectors of bool-valued data.
   /// </summary>
+  [StorableType("c6cf1709-6863-488d-931f-0144085bc118")]
   public interface IBinaryVectorOperator : IOperator { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IOneBitflipMoveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IOneBitflipMoveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Interfaces/IOneBitflipMoveOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
+  [StorableType("582c7838-73d0-40c3-a532-f200e5415355")]
   public interface IOneBitflipMoveOperator : IBinaryVectorMoveOperator {
     ILookupParameter<OneBitflipMove> OneBitflipMoveParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IBoundedIntegerVectorOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IBoundedIntegerVectorOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IBoundedIntegerVectorOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.IntegerVectorEncoding {
+  [StorableType("4744c61a-2e59-47d1-a86d-df65110545d4")]
   public interface IBoundedIntegerVectorOperator : IIntegerVectorOperator {
     /// <summary>
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorCreator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorCreator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorCreator.cs	(revision 14929)
@@ -23,4 +23,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.IntegerVectorEncoding {
@@ -28,4 +29,5 @@
   /// An interface which represents an operator for creating vectors of int-valued data.
   /// </summary>
+  [StorableType("b99516a9-ed1d-4683-8856-e2d1db0a50d9")]
   public interface IIntegerVectorCreator : ISolutionCreator, IBoundedIntegerVectorOperator {
     IValueLookupParameter<IntValue> LengthParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorCrossover.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorCrossover.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorCrossover.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.IntegerVectorEncoding {
@@ -27,4 +28,5 @@
   /// An interface which represents an operator for crossing vectors of int-valued data.
   /// </summary>
+  [StorableType("1a0fa9e8-cdf4-423b-bfd7-13b2c0dfa306")]
   public interface IIntegerVectorCrossover : IIntegerVectorOperator, ICrossover {
     ILookupParameter<ItemArray<IntegerVector>> ParentsParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorManipulator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorManipulator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorManipulator.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.IntegerVectorEncoding {
@@ -27,4 +28,5 @@
   /// An interface which represents an operator for manipulating vectors of int-valued data.
   /// </summary>
+  [StorableType("5c8d243c-5ff3-40bd-b82f-12c2ab05ac03")]
   public interface IIntegerVectorManipulator : IIntegerVectorOperator, IManipulator {
     ILookupParameter<IntegerVector> IntegerVectorParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorMultiNeighborhoodShakingOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorMultiNeighborhoodShakingOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Interfaces/IIntegerVectorMultiNeighborhoodShakingOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Encodings.IntegerVectorEncoding {
+  [StorableType("d7f3845a-fd58-4fea-aa6b-3d55cbb008a0")]
   public interface IIntegerVectorMultiNeighborhoodShakingOperator : IIntegerVectorOperator {
     ILookupParameter<IntegerVector> IntegerVectorParameter { get; }
